commit 73c96479d6b9cbbbb8d5162dd59b5a05f334b4cc
Author: François Trahay <francois.trahay@telecom-sudparis.eu>
Date:   Wed Aug 24 14:42:18 2022 +0200

    make run_and_check_command respect the verbose option

---
 test/test_utils/test_utils.sh |   25 ++++++++++++++++++-------
 1 file changed, 18 insertions(+), 7 deletions(-)

--- a/test/test_utils/test_utils.sh
+++ b/test/test_utils/test_utils.sh
@@ -88,12 +88,17 @@ function check_module {
 
 function check_compilation {
     echo "> Compiling test programs..."
-    if make > /dev/null ; then
-	print_ok
+    if [ -n "$verbose" ]; then
+	make
     else
+	make > /dev/null
+    fi
+
+    if [ "$?" != "0" ]; then
 	print_error "Compilation failed"
 	return 1
     fi
+    print_ok
 }
 
 function run_test {
@@ -107,6 +112,7 @@ function run_test {
     else
 	$test > /dev/null 2>&1
     fi
+
     if [ "$?" != "0" ]; then
         print_error "Test $test failed"
         return 1
@@ -119,14 +125,19 @@ function run_and_check_command {
     echo "> Running $cmd"
 
     ((nb_test++))
-    if ! $cmd > /dev/null 2>&1 ; then
+    if [ -n "$verbose" ]; then
+	$cmd
+    else
+	$cmd > /dev/null 2>&1
+    fi
+    if [ "$?" != "0" ]; then
 	print_error "command '$cmd' failed"
 	return 1
-    else
-	print_ok
-	((nb_pass++))
-	return 0
     fi
+
+    print_ok
+    ((nb_pass++))
+    return 0
 }
 
 function trace_get_nb_event_of_type {
